Bug 893328 - [virtio-win][balloon]Got BSOD issue while upgrading balloon driver from 1.5.4 to virtio-win-prewhql-44 on rhel6.3.z host
[virtio-win][balloon]Got BSOD issue while upgrading balloon driver from 1.5.4...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virtio-win (Show other bugs)
6.4
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Vadim Rozenfeld
Virtualization Bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-09 01:30 EST by dengmin
Modified: 2013-02-16 06:22 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-16 04:38:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description dengmin 2013-01-09 01:30:28 EST
Description of problem:
Install guest with the virtio balloon driver and upgrade it to 6.4 while the balloon size is changing by scripts,the guest will got an bsod issue.
Version-Release number of selected component (if applicable):
qemu-img-rhev-0.12.1.2-2.295.el6_3.10.x86_64
kernel-2.6.32-279.20.1.el6.x86_64
virtio-win-1.5.4-1.el6
virtio-win-prewhql-44
How reproducible:
5 times 5 failed
Steps to Reproduce:
1.boot up guest and install balloon driver (virtio-win-1.5.4-1.el6) on the 6.3.z host
  /usr/libexec/qemu-kvm -m 4G -smp 4 -cpu cpu64-rhel6,+x2apic,+sep,family=0xf -usb -device usb-tablet -drive file=win7-64.raw,format=raw,serial=mike,if=none,id=drive-virtio0,cache=none,werror=stop,rerror=stop,boot=on -device ide-drive,drive=drive-virtio0,id=virtio-blk-pci0,bootindex=1 -uuid 5b7f1150-1d7b-41d9-a93e-bd64a74c4711 -no-kvm-pit-reinjection -monitor stdio -vnc :1 -rtc base=localtime,clock=host,driftfix=slew -chardev socket,id=seabios_debug,path=/tmp/monitor-seabios,server,nowait -device isa-debugcon,iobase=0x402,chardev=seabios_debug -M rhel6.3.0 -vga cirrus -drive file=test.raw,format=raw,serial=mike,if=none,id=drive-virtio1,cache=none,werror=stop,rerror=stop -device virtio-blk-pci,addr=0x9,drive=drive-virtio1,id=virtio-blk-pci1 -device virtio-serial-pci,id=virtio-serial0,max_ports=16 -chardev socket,id=channel0,path=/tmp/helloworld,server,nowait -device virtserialport,chardev=channel0,name=com.redhat.rhevm.vdsm,bus=virtio-serial0.0,id=port0 -device virtio-balloon-pci,addr=0x6,bus=pci.0 -netdev tap,sndbuf=0,id=hostnet1,script=/etc/qemu-ifup,downscript=no -device virtio-net-pci,netdev=hostnet1,mac=00:32:37:31:61:26  -chardev socket,id=111a,path=/tmp/tt,server,nowait -mon chardev=111a,mode=readline 
2.run the scripts on another terminal
[root@dhcp-8-139 home]# cat balloonchangesize.sh 
echo balloon 1024|nc -U /tmp/tt ;
#echo migrate -d tcp:10.66.10.147:1234|nc -U /tmp/tt;
for((i=200;i<=4096;i=i+200));
do echo balloon $i |nc -U /tmp/tt; 
sleep 5 ;
echo balloon echo 4096-$i|bc |nc -U /tmp/tt ;
done
3.Upgrade balloon dirver to virtio-win-prewhql-44 ->Device manager-> Upgrade software ...

Actual results:
The guest got an bsod issue
Expected results:
The guest works well

Additional info:
Comment 3 dengmin 2013-01-11 01:54:08 EST
QE can reproduce the bz on rhel6.4 host too.thanks.
Comment 4 dengmin 2013-01-11 02:24:07 EST
(In reply to comment #3)
> QE can reproduce the bz on rhel6.4 host too.thanks.

  The issue cannot be reproduced while upgrading driver from 1.4.0 to 1.5.4.So please double check it,thanks.
Comment 6 Vadim Rozenfeld 2013-02-10 19:34:31 EST
Hi Min,
Could you please reproduce the problem with kernel memory dump instead of small?
Thank you,
Vadim.

Note You need to log in before you can comment on or make changes to this bug.